Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2914 - [xk]dm falls back to xhost authentication
Summary: [xk]dm falls back to xhost authentication
Keywords:
Status: CLOSED DUPLICATE of bug 2423
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-18 19:07 UTC by ard
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-14 21:15:45 UTC


Attachments (Terms of Use)

Description ard 1999-05-18 19:07:24 UTC
When using [kx]dm as prefdm (/etc/X11/prefdm) the directory
/etc/X11/xdm/authdir does not exists, in which case the dm
-failing to store xauth cookies- falls back to using xhost
authentication.

Any user on the system can now grab whatever display (either
local or remote) has logged into the system, and wreck
havoc.

If not sure type xhost at an xterm to check for security. If
it shows:
inet:localhost
LOCAL:
(etc.), your authdir does not exist.
Create it now, or fear the laughter of your colleages
(filling your screen with garbage) :).

------- Additional Comments From   06/05/99 15:32 -------
This doesn t seem to happen with the alpha distrib ...
(shouldn t they all come from the same .src, BTW ? or this is due
do different SPECS files ?)
But I confirm it on i386...
The problem I have now, is that I canot xhost -localhost or xhost
-Mylocdispname ... the command pass silently but tese entries remain
in the list !

Comment 1 Preston Brown 1999-06-08 16:52:59 UTC
We will soon be putting out an errata release of X that explicitly
packages the authdir.  Under some (unexplored) circumstances, xdm will
create the directory for itself, but we cannot rely on this happening.
Thank you for the report.

Comment 2 Preston Brown 1999-06-14 21:15:59 UTC
*** This bug has been marked as a duplicate of 2423 ***


Note You need to log in before you can comment on or make changes to this bug.